#ifndef H_CORAL_BASICMATH
#define H_CORAL_BASICMATH
// This file is part of the Coral project.
// Please read the copyright notice in the LICENSE file.

#include <coral/coral.h>

NAMESPACE_BEGIN(coral);

NAMESPACE_BEGIN();

template<class T> inline void swapvalues(T& x, T& y) {
  T tmp(x);
  x = y;
  y = tmp;
}

NAMESPACE_END();

NAMESPACE_END();

#endif
